summaryrefslogtreecommitdiff
path: root/gnu/usr.bin/cvs/mkinstalldirs
diff options
context:
space:
mode:
Diffstat (limited to 'gnu/usr.bin/cvs/mkinstalldirs')
-rw-r--r--gnu/usr.bin/cvs/mkinstalldirs21
1 files changed, 14 insertions, 7 deletions
diff --git a/gnu/usr.bin/cvs/mkinstalldirs b/gnu/usr.bin/cvs/mkinstalldirs
index 9259785ed4f..33bb3e86733 100644
--- a/gnu/usr.bin/cvs/mkinstalldirs
+++ b/gnu/usr.bin/cvs/mkinstalldirs
@@ -1,27 +1,34 @@
-#!/bin/sh
+#! /bin/sh
# mkinstalldirs --- make directory hierarchy
# Author: Noah Friedman <friedman@prep.ai.mit.edu>
# Created: 1993-05-16
-# Last modified: 1994-03-25
# Public domain
-#
+
+# $Id: mkinstalldirs,v 1.1.1.3 2001/09/28 22:45:35 tholo Exp $
errstatus=0
-for file in ${1+"$@"} ; do
+for file
+do
set fnord `echo ":$file" | sed -ne 's/^:\//#/;s/^://;s/\// /g;s/^#/\//;p'`
shift
pathcomp=
- for d in ${1+"$@"} ; do
+ for d
+ do
pathcomp="$pathcomp$d"
case "$pathcomp" in
-* ) pathcomp=./$pathcomp ;;
esac
if test ! -d "$pathcomp"; then
- echo "mkdir $pathcomp" 1>&2
- mkdir "$pathcomp" || errstatus=$?
+ echo "mkdir $pathcomp"
+
+ mkdir "$pathcomp" || lasterr=$?
+
+ if test ! -d "$pathcomp"; then
+ errstatus=$lasterr
+ fi
fi
pathcomp="$pathcomp/"